# Matlab toolbox of functions from BDM

cmake_minimum_required(VERSION 2.6)
PROJECT(PyBDM)

# Link it to BDM
SET(BDM_SOURCE_DIR "${CMAKE_SOURCE_DIR}/../../library")
SET(CMAKE_MODULE_PATH "${BDM_SOURCE_DIR}/system")

# Load BDM environment
INCLUDE(SetBdmEnv)
Find_Package(Boost REQUIRED)
Find_Package(PythonLibs REQUIRED)

include_directories (${BDM_SOURCE_DIR}/bdm ${Boost_INCLUDE_DIRS}  ${PYTHON_INCLUDE_DIRS})
link_directories (${BDM_SOURCE_DIR}/bdm)

add_library(itpp_ext SHARED itpp_ext.cpp)
TARGET_LINK_LIBRARIES(itpp_ext boost_python-mt itpp)


#add_library(sqmat_ext SHARED sqmat_ext.cpp)
#TARGET_LINK_LIBRARIES(sqmat_ext bdm boost_python-mt itpp)
